## python-karborclient 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
keystoneauth1>=3.3.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
simplejson>=3.5.1 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
six>=1.10.0 # MIT
osc-lib>=1.8.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0

=== debian/changelog ===
python-karborclient (1.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:52:36 +0000

python-karborclient (1.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Removed fixed-non-ascii-in-README.rst.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 14:00:09 +0000

python-karborclient (0.6.0-3) unstable; urgency=medium

  * Fixed non-ascii in README.txt that was leading to FTBFS when running
    python setup.py install with LANG=C & Python 3.6 (Closes: 882477).

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Dec 2017 22:44:22 +0100

python-karborclient (0.6.0-2) unstable; urgency=medium

  * Missing openstack-pkg-tools build-depends (Closes: #880190).
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Oct 2017 18:00:19 +0000

python-karborclient (0.6.0-1) experimental; urgency=medium

  * Initial release. (Closes: #877686)

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2017 12:45:02 +0200

=== debian/control ===
Source: python-karborclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-babel,
 python-coverage,
 python-docutils <!nodoc>,
 python-hacking,
 python-keystoneauth1 (>= 3.3.0),
 python-openstackclient (>= 3.12.0),
 python-openstackdocstheme (>= 1.17.0) <!nodoc>,
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 3.2.0),
 python-prettytable,
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1),
 python-simplejson,
 python-six,
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python3-babel,
 python3-keystoneauth1 (>= 3.3.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 3.2.0),
 python3-prettytable,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.1),
 python3-simplejson,
 python3-six,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-karborclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-karborclient.git
Homepage: https://docs.openstack.org/karbor/latest

Package: python-karborclient
Architecture: all
Depends:
 python-babel,
 python-keystoneauth1 (>= 3.3.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable,
 python-requests (>= 2.14.2),
 python-simplejson,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-karborclient-doc,
Description: karbor API client - Python 2.7
 Karbor mission statement is to protect the Data and Metadata that comprises an
 OpenStack-deployed Application against loss/damage (e.g. backup, replication)
 by providing a standard framework of APIs and services that allows vendors to
 provide plugins through a unified interface.
 .
 This package contains the Python 2.7 module.

Package: python-karborclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: karbor API client - doc
 Karbor mission statement is to protect the Data and Metadata that comprises an
 OpenStack-deployed Application against loss/damage (e.g. backup, replication)
 by providing a standard framework of APIs and services that allows vendors to
 provide plugins through a unified interface.
 .
 This package contains the documentation.

Package: python3-karborclient
Architecture: all
Depends:
 python3-babel,
 python3-keystoneauth1 (>= 3.3.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable,
 python3-requests (>= 2.14.2),
 python3-simplejson,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-karborclient-doc,
Description: Karbor API client - Python 3.x
 Karbor mission statement is to protect the Data and Metadata that comprises an
 OpenStack-deployed Application against loss/damage (e.g. backup, replication)
 by providing a standard framework of APIs and services that allows vendors to
 provide plugins through a unified interface.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-karborclient.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-karborclient-doc/usr/share/doc/python-karborclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-karborclient 1.1.0

=== debian/changelog ===
python-karborclient (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:48:42 +0200

python-karborclient (1.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Build sphinx doc with Python 3.
  * Rebased privacy breach in doc patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 09:30:24 +0200

python-karborclient (1.0.0-3) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:06:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-karborclient
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -11,45 +11,45 @@
  python-all,
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  python-babel,
  python-coverage,
  python-docutils <!nodoc>,
  python-hacking,
- python-keystoneauth1 (>= 3.3.0),
+ python-keystoneauth1 (>= 3.4.0),
  python-openstackclient (>= 3.12.0),
- python-openstackdocstheme (>= 1.17.0) <!nodoc>,
- python-osc-lib (>= 1.8.0),
+ python-osc-lib (>= 1.11.1),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.log (>= 3.36.0),
  python-oslo.utils (>= 3.33.0),
  python-oslotest (>= 3.2.0),
  python-prettytable,
  python-requests (>= 2.14.2),
- python-requests-mock (>= 1.1),
+ python-requests-mock (>= 1.2.0) <!nocheck>,
  python-simplejson,
  python-six,
- python-testscenarios,
- python-testtools (>= 2.2.0),
+ python-testscenarios <!nocheck>,
+ python-testtools (>= 2.2.0) <!nocheck>,
  python3-babel,
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-openstackclient (>= 3.12.0),
- python3-osc-lib (>= 1.8.0),
+ python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
+ python3-osc-lib (>= 1.11.1),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 3.2.0),
  python3-prettytable,
  python3-requests (>= 2.14.2),
- python3-requests-mock (>= 1.1),
+ python3-requests-mock (>= 1.2.0) <!nocheck>,
  python3-simplejson,
  python3-six,
- python3-testscenarios,
- python3-testtools (>= 2.2.0),
+ python3-testscenarios <!nocheck>,
+ python3-testtools (>= 2.2.0) <!nocheck>,
  subunit,
  testrepository,
 Standards-Version: 4.1.3
@@ -61,8 +61,8 @@
 Architecture: all
 Depends:
  python-babel,
- python-keystoneauth1 (>= 3.3.0),
- python-osc-lib (>= 1.8.0),
+ python-keystoneauth1 (>= 3.4.0),
+ python-osc-lib (>= 1.11.1),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.log (>= 3.36.0),
  python-oslo.utils (>= 3.33.0),
@@ -102,8 +102,8 @@
 Architecture: all
 Depends:
  python3-babel,
- python3-keystoneauth1 (>= 3.3.0),
- python3-osc-lib (>= 1.8.0),
+ python3-keystoneauth1 (>= 3.4.0),
+ python3-osc-lib (>= 1.11.1),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.utils (>= 3.33.0),

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-karborclient.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-karborclient-doc/usr/share/doc/python-karborclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-karborclient 1.2.0

=== debian/changelog ===
python-karborclient (1.2.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 05:18:13 +0200

python-karborclient (1.2.0-2) experimental; urgency=medium

  * Do not manage alternatives (Closes: #926308).

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2019 17:05:48 +0200

python-karborclient (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Rebased privacy breach in readme patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 10:37:36 +0100

=== debian/control ===
Source: python-karborclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme <!nodoc>,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-oslotest,
 python3-prettytable,
 python3-requests,
 python3-requests-mock <!nocheck>,
 python3-simplejson,
 python3-six,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 subunit,
 testrepository,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-karborclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-karborclient.git
Homepage: https://docs.openstack.org/karbor/latest

Package: python-karborclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: karbor API client - doc
 Karbor mission statement is to protect the Data and Metadata that comprises an
 OpenStack-deployed Application against loss/damage (e.g. backup, replication)
 by providing a standard framework of APIs and services that allows vendors to
 provide plugins through a unified interface.
 .
 This package contains the documentation.

Package: python3-karborclient
Architecture: all
Depends:
 python3-babel,
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-simplejson,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-karborclient-doc,
Description: Karbor API client - Python 3.x
 Karbor mission statement is to protect the Data and Metadata that comprises an
 OpenStack-deployed Application against loss/damage (e.g. backup, replication)
 by providing a standard framework of APIs and services that allows vendors to
 provide plugins through a unified interface.
 .
 This package contains the Python 3.x module.

## python-karborclient 1.3.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 PrettyTable<0.8,>=0.7.1 # BSD
-keystoneauth1>=3.3.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 simplejson>=3.5.1 # MIT
 Babel!=2.4.0,>=2.3.4 # BSD

=== debian/changelog ===
python-karborclient (1.3.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:28:19 +0200

python-karborclient (1.3.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 17:48:49 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -33,7 +33,7 @@
  python3-testtools <!nocheck>,
  subunit,
  testrepository,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-karborclient
 Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-karborclient.git
 Homepage: https://docs.openstack.org/karbor/latest

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-karborclient/python-karborclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-karborclient 2.0.0

=== debian/changelog ===
python-karborclient (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:10:05 +0200

python-karborclient (2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 21:03:36 +0200

## python-karborclient 2.1.0

=== debian/changelog ===
python-karborclient (2.1.0-2) unstable; urgency=medium

  * Re-introduce python3-mock as build-depends.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 16:57:02 +0200

python-karborclient (2.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 16:30:23 +0200

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
  python3-coverage,
  python3-hacking,
  python3-keystoneauth1,
+ python3-mock,
  python3-openstackclient,
  python3-openstackdocstheme <!nodoc>,
  python3-osc-lib,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-karborclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-karborclient-doc/usr/share/doc/python-karborclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
